
/**
 * Clase que representa un sensor de alarma que mide una magnitud real
 * y comprueba si est en un rango [min,max] entre un valor minimo
 * y uno maximo
 */
public class Sensor
{
    // atributos privados
    private double min,max;
    private String nombre;
    private double ultimoValor;

    /**
     * Constructor al que se le pasa el minimo y maximo valor de la
     * magnitud que mide el sensor, y el nombre. Copia estos datos
     * en los respectivos atributos
     */
    public Sensor(double min, double max, String nombre)
    {
        this.min=min;
        this.max=max;
        this.nombre=nombre;
    }

    /**
     * Indica si hay alarma o no, comprobando si el ultimo valor 
     * de la medida, atributo ultimoValor, esta entre min y max
     * 
     */
    public boolean hayAlarma()
    {
       ...;
    }
    
    /**
     * Lee el valor actual de la magnitud del sensor y lo almacena
     * en el atributo ultimoValor
     * obtiene el valor simulando la lectura con un nmero
     * aleatorio que esta en el rango [min-x,max+x], siendo x el 20%
     * de max-min
     */
    public double lee() {
        ...
    }
    
    /**
     * Retorna un texto con los principales datos del sensor:
     * nombre: ultimoValor - "OK" (si esta en rango)
     * nombre: ultimoValor - "ALARMA" (si no esta en rango)
     */
    public String estado() {
        ...
    }
}
